import request from '@/utils/wms-request'

// 查询库位列表
export function listLocation(query) {
  return request({
    url: '/basic/location/list',
    method: 'get',
    params: query
  })
}

// 查询库位详细
export function getLocation(id) {
  return request({
    url: '/basic/location/' + id,
    method: 'get'
  })
}

// 新增库位
export function addLocation(data) {
  return request({
    url: '/basic/location',
    method: 'post',
    data: data
  })
}

// 修改库位
export function updateLocation(data) {
  return request({
    url: '/basic/location',
    method: 'put',
    data: data
  })
}

// 删除库位
export function delLocation(id) {
  return request({
    url: '/basic/location/' + id,
    method: 'delete'
  })
}

// 导出库位
export function exportLocation(query) {
  return request({
    url: '/basic/location/export',
    method: 'get',
    params: query
  })
}

export function printStorageLocs(data) {
  return request({
    url: '/basic/location/mergePrintPdfs',
    method: 'post',
    data: data
  })
}